package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag796;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT796Creator;

public class Tag11rCreator extends AbsTagCreate {
    private MT796Creator mt796Creator;

    public Tag11rCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt796Creator= (MT796Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11aValue = mt796Creator.getMTandDateoftheOriginalMessage();
        mt796Creator.set("11R", tag11aValue);
    }
}
